---
title: Set fixed_at date for a specific incident
slug: set-fixedat-date-for-a-specific-incident
docTags: 
createdAt: 2025-01-28T10:28:11.769Z
---

{
  "id": "BWG0xwXUCB9lpQiHuRjc4",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.waydev.co/v2/incidents/{incident_id}",
    "name": "Set fixed_at date for a specific incident",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "incident_id",
          "type": "string",
          "description": "Incident identifier. The one that you sent or was generated by us"
        }
      ],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "Your PAT generated in Waydev"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "JSON body which contains the date when the incident was fixed",
          "schema": [
            {
              "name": "fixed_at",
              "kind": "optional",
              "type": "string",
              "description": "Date time when the incident was fixed",
              "example": "2024-03-20 12:34:56"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful operation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Successful operation",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "example": "Incident successfully updated."
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Unauthorized",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "example": "Unauthorized"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Resource not found.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Resource not found.",
            "schema": [
              {
                "name": "error",
                "kind": "optional",
                "type": "object",
                "example": "",
                "schema": [
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "example": "Incident not found!"
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "Ok0yZoLu5-OKD19OEC6W-",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.waydev.co/v2/incidents/{incident_id} \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "06OSt9XM5bko82oIuOHdt",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.waydev.co/v2/incidents/{incident_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "xIL2udCs-odD0YTqssIUI",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.waydev.co/v2/incidents/{incident_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "5GudA_qVLGww2MGIRLsSF",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.waydev.co/v2/incidents/{incident_id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Ok0yZoLu5-OKD19OEC6W-"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful operation\n{\n  \"message\": \"Incident successfully updated.\"\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"message\": \"Unauthorized\"\n}"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// Resource not found.\n{\n  \"error\": {\n    \"message\": \"Incident not found!\"\n  }\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}